import React, { ReactNode } from 'react';
import { $Diff } from 'utility-types';
import type { TouchableOpacityProps, ViewStyle, TextStyle, ImageStyle } from 'react-native';
export declare type TPalette = Record<string, string>;
export declare type TVariant = 'default' | 'outline' | 'plainText' | 'rounded';
export declare type TSize = 'small' | 'medium' | 'large';
interface TSxProp {
    root?: ViewStyle;
    button?: ViewStyle;
    disabled?: ViewStyle;
    icon?: ImageStyle;
    iconDisabled?: ImageStyle;
    text?: TextStyle;
    textDisabled?: TextStyle;
}
export interface ButtonNextProps extends $Diff<TouchableOpacityProps, {
    style?: unknown;
    children?: unknown;
}> {
    /**
     * The variant to use.
     */
    variant?: TVariant;
    /**
     * The icon beside the button title. Usually be placed on the left side.
     */
    icon?: ReactNode;
    /**
     * The text content of the button.
     */
    title?: string;
    /**
     * If `true`, the buton is disabled.
     */
    disabled?: boolean;
    /**
     * The size of the button.
     */
    size?: TSize;
    /**
     * Override the style of the root element.
     */
    sx?: TSxProp;
}
declare const Button: React.FC<ButtonNextProps>;
export default Button;
