import React, { useCallback } from 'react';
import { HeaderButtons as OriginalHeaderButtons, HeaderButton as OriginalHeaderButton, } from 'react-navigation-header-buttons';
import EvilIcons from 'react-native-vector-icons/EvilIcons';
import { useOverride } from '@react-native-cask-ui/theme';
const HeaderButtonsItem = React.memo(props => {
    const { props: overridedProps } = useOverride('HeaderButtons', props);
    const { iconName, iconAliases, IconComponent = EvilIcons, onPress, ...otherProps } = overridedProps;
    const newIconName = iconName ? iconAliases?.[iconName] || iconName : undefined;
    return (<OriginalHeaderButton iconName={newIconName} IconComponent={IconComponent} onPress={onPress} buttonStyle={{ opacity: onPress ? 1 : 0.3 }} {...otherProps}/>);
});
const HeaderButtons = React.memo(props => {
    const { variant, children } = props;
    const renderHeaderButton = useCallback((itemProps) => {
        return <HeaderButtonsItem variant={variant} {...itemProps}/>;
    }, []);
    return <OriginalHeaderButtons HeaderButtonComponent={renderHeaderButton}>{children}</OriginalHeaderButtons>;
});
const HeaderButtonsWithStatic = HeaderButtons;
HeaderButtonsWithStatic.Item = OriginalHeaderButtons.Item;
export default HeaderButtonsWithStatic;
