import React, { ReactElement, ReactNode } from 'react';
import { FlatList, SectionListData, SectionListRenderItem, ListRenderItem, VirtualizedListWithoutRenderItemProps } from 'react-native';
import { OnMoveEndInfo } from 'react-native-draggable-flatlist';
import { TStyle } from '@react-native-cask-ui/theme';
export declare type SectionData<ItemT> = SectionListData<ItemT> | {
    headerTitle?: string;
    headerView?: ReactNode;
    footerTitle?: string;
    footerView?: ReactNode;
    data: ItemT[];
    tag?: string;
} | null;
export interface ListProps<ItemT> extends VirtualizedListWithoutRenderItemProps<ItemT> {
    variant?: string;
    sectionType: 'plain' | 'grouped';
    draggable?: boolean;
    renderSectionHeader?: (info: {
        section: SectionListData<ItemT>;
    }, sectionHeader: ReactElement) => ReactElement | null;
    renderSectionFooter?: (info: {
        section: SectionListData<ItemT>;
    }, sectionFooter: ReactElement) => ReactElement | null;
    renderItem: SectionListRenderItem<ItemT> | ListRenderItem<ItemT>;
    keyExtractor: (item: any, index: number) => string;
    extraData?: unknown;
    initialScrollIndex?: number;
    ListEmptyComponent?: React.ComponentType<any> | React.ReactElement | null;
    sections?: SectionData<ItemT>[] | null;
    data?: ItemT[] | null;
    contentContainerStyle?: TStyle;
    scrollEnabled?: boolean;
    scrollPercent?: number;
    onMoveEnd?: (info: OnMoveEndInfo<unknown>) => void;
    onMoveBegin?: (index: number) => void;
    stickySectionHeadersEnabled?: boolean;
}
declare function ListBase<ItemT>(props: ListProps<ItemT> & {
    ref?: React.Ref<FlatList>;
}, ref: any): JSX.Element | null;
declare const List: typeof ListBase;
export default List;
