import React, { ReactNode } from 'react';
export interface StackProps {
    /**
     * If `true`, display by the row direction.
     */
    row?: boolean;
    /**
     * If `true`, the box will fill parent.
     */
    fill?: boolean;
    /**
     * The ratio of inner items
     */
    flexes?: number[];
    /**
     * The same spacing size between each item.
     */
    spacing: number;
    /**
     * Items inside the stack.
     */
    children: ReactNode[];
}
declare const StackWithStatic: React.NamedExoticComponent<StackProps> & {
    Row: React.NamedExoticComponent<StackProps>;
};
export default StackWithStatic;
