import React, { ReactNode } from 'react';
import { Text as OriginText, TextProps as OriginTextProps } from 'react-native';
import { $Diff } from 'utility-types';
export interface TextProps extends $Diff<OriginTextProps, {
    style?: unknown;
}> {
    /**
     * The variant to use.
     */
    variant?: string;
    /**
     * The text alignment.
     */
    textAlign?: 'left' | 'center' | 'right';
    /**
     * The text to display or nested Text components.
     */
    children: ReactNode;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<TextProps & React.RefAttributes<OriginText>>>;
export default _default;
