import { $Diff } from 'utility-types';
import React from 'react';
import { TextInput as OriginTextInput, TextInputProps as OriginTextInputProps } from 'react-native';
import { TColor } from '@react-native-cask-ui/theme';
export interface TextInputProps extends $Diff<OriginTextInputProps, {
    style?: unknown;
    children?: unknown;
}> {
    /**
     * The variant to use.
     */
    variant?: string;
    /**
     * The label above the text input control.
     */
    label?: string;
    /**
     * The value to show for the text input.
     */
    value?: string;
    /**
     * The string that will be rendered before text input has been entered
     */
    placeholder?: string;
    /**
     * The text color of the placeholder string
     */
    placeholderTextColor?: TColor;
    /**
     * If `false`, the text is not editable.
     */
    editable?: boolean;
}
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<TextInputProps & React.RefAttributes<OriginTextInput>>>;
export default _default;
